Bug 1675409 - mongodb: FTBFS in Fedora 30: src/mongo/util/assert_util.h:346:44: error: expected identifier before '{' token
Summary: mongodb: FTBFS in Fedora 30: src/mongo/util/assert_util.h:346:44: error: expe...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrik Novotný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS 1673849
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:54 UTC by Fedora Release Engineering
Modified: 2019-02-28 14:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 14:50:51 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:55 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:55 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 20:55 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:54:57 UTC
mongodb failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32415194


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix mongodb at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
mongodb will be orphaned. Before branching of Fedora 31,
mongodb will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:55:00 UTC
Created attachment 1531320 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:55:02 UTC
Created attachment 1531321 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:55:05 UTC
Created attachment 1531322 [details]
state.log

Comment 4 Petr Pisar 2019-02-12 07:59:19 UTC
The build.log is truncated and useless. The compiler error is:

g++ -o build/fedora/mongo/util/fail_point.o -c -Woverloaded-virtual -Wpessimizing-move -Wredundant-move -Wno-maybe-uninitialized -std=c++14 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -fno-strict-aliasing -ggdb -pthread -Wall -Wsign-compare -Wno-unknown-pragmas -Winvalid-pch -O2 -Wno-unused-local-typedefs -Wno-unused-function -Wno-deprecated-declarations -Wno-unused-const-variable -Wno-unused-but-set-variable -Wno-missing-braces -fstack-protector-strong -fno-builtin-memcmp -fPIE -DNDEBUG -D_XOPEN_SOURCE=700 -D_GNU_SOURCE -D_FORTIFY_SOURCE=2 -DBOOST_SYSTEM_NO_DEPRECATED -DBOOST_MATH_NO_LONG_DOUBLE_MATH_FUNCTIONS -Isrc/third_party/asio-master/asio/include -Ibuild/fedora -Isrc src/mongo/util/fail_point.cpp
[...]
BUILDSTDERR: In file included from src/mongo/platform/decimal128.h:38,
BUILDSTDERR:                  from src/mongo/platform/endian.h:37,
BUILDSTDERR:                  from src/mongo/base/data_range.h:37,
BUILDSTDERR:                  from src/mongo/bson/bsonelement.h:38,
BUILDSTDERR:                  from src/mongo/db/jsobj.h:46,
BUILDSTDERR:                  from src/mongo/util/fail_point.h:33,
BUILDSTDERR:                  from src/mongo/util/fail_point.cpp:31:
BUILDSTDERR: src/mongo/util/unordered_fast_key_table_internal.h: In member function 'std::pair<mongo::UnorderedFastKeyTable<K_L, K_S, V, Traits>::iterator_impl<mongo::UnorderedFastKeyTable<K_L, K_S, V, Traits>::Area*>, bool> mongo::UnorderedFastKeyTable<K_L, K_S, V, Traits>::try_emplace(const HashedKey&, Args&& ...)':
BUILDSTDERR: src/mongo/util/assert_util.h:346:44: error: expected identifier before '{' token
BUILDSTDERR:   346 |         [&]() MONGO_COMPILER_COLD_FUNCTION {                                              \
BUILDSTDERR:       |                                            ^
BUILDSTDERR: src/mongo/util/assert_util.h:420:5: note: in expansion of macro 'MONGO_BASE_ASSERT_FAILED'
BUILDSTDERR:   420 |     MONGO_BASE_ASSERT_FAILED(::mongo::msgassertedWithLocation, msgid, msg)
BUILDSTDERR:       |     ^~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: src/mongo/util/unordered_fast_key_table_internal.h:169:5: note: in expansion of macro 'msgasserted'
BUILDSTDERR:   169 |     msgasserted(16471, "UnorderedFastKeyTable couldn't add entry after growing many times");
BUILDSTDERR:       |     ^~~~~~~~~~~

Comment 5 Patrik Novotný 2019-02-12 11:03:16 UTC
We are currently in the process of dropping mongodb from Rawhide/F30.

Change page:  https://fedoraproject.org/wiki/Changes/MongoDB_Removal
Fesco ticket: https://pagure.io/fesco/issue/2078


Note You need to log in before you can comment on or make changes to this bug.